package nc.ui.pubapp.uif2app.model;

import nc.funcnode.ui.FuncletInitData;
import nc.ui.pub.bill.LinkHyperListener;
import nc.ui.pubapp.uif2app.view.ShowUpableBillForm;
import nc.ui.uif2.editor.BillForm;

public class FctDefaultFuncNodeInitDataListener extends DefaultFuncNodeInitDataListener{
	@Override
    public void initData(FuncletInitData data) {
        super.initData(data);
        //卡片、列表下需要配置超链接监听的字段
        BillForm billform = (ShowUpableBillForm) getAutoShowUpComponent();
        if(billform.getBillCardPanel().getBodyItem("vbdef11")!=null){
        	billform.getBillCardPanel().getBodyItem("vbdef11").addBillItemHyperlinkListener(new LinkHyperListener(billform.getBillCardPanel()));
        }
    }
}
